%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Test-Warn

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Test::Warn - Perl extension to test methods for warnings
Name:		perl-%{perlname}
Version:	0.10
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Test+Warn
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-Array-Compare perl-Test-Exception perl-Sub-Uplevel
BuildRequires:	perl-Tree-DAG_Node

%description
Test::Warn - Perl extension to test methods for warnings

For more details see: http://search.cpan.org/search?module=Test+Warn

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.10-1
- Initial Release  
